RTEMS: bsps/arm/csb336/btimer/btimer.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions | Variables
btimer.c File Reference

Cogent CSB336 Timer driver. More...

`#include <rtems.h>`
`#include <bsp.h>`
`#include <rtems/btimer.h>`
`#include <mc9328mxl.h>`

## Macros
#define | AVG_OVERHEAD 0 /* It typically takes X.X microseconds */
#define | LEAST_VALID 1 /* Don't trust a clicks value lower than this */

## Functions
void | benchmark_timer_initialize (void)
| Initialize the Benchmark Timer.
benchmark_timer_t | benchmark_timer_read (void)
| Read the Benchmark Timer.
void | benchmark_timer_disable_subtracting_average_overhead (bool find_flag)
| Disable Average Overhead Removal from the Benchmark Timer.

## Variables
uint32_t | g_start
uint32_t | g_freq
bool | benchmark_timer_find_average_overhead

## Detailed Description

Cogent CSB336 Timer driver.

This uses timer 2 for timing measurments.

## Function Documentation

## ◆ benchmark_timer_disable_subtracting_average_overhead()

void benchmark_timer_disable_subtracting_average_overhead | ( | bool | find_flag | ) |

Disable Average Overhead Removal from the Benchmark Timer.

This method places the benchmark timer in a "raw" mode where it returns the actual number of units which have passed between calls to benchmark_timer_initialize and benchmark_timer_read counting.

Parameters

  [in] | find_flag | indicates to enable or disable the mode

## ◆ benchmark_timer_initialize()

void benchmark_timer_initialize | ( | void |  | ) |

Initialize the Benchmark Timer.

This method initializes the benchmark timer and resets it to begin counting.

## ◆ benchmark_timer_read()

benchmark_timer_t benchmark_timer_read | ( | void |  | ) |

Read the Benchmark Timer.

This method stops the benchmark timer and returns the number of units that have passed since benchmark_timer_initialize was invoked.

Returns
  This method returns the number of units with the average overhead removed. If the value is below the minimum trusted value, zero is returned.